com.lowagie.text.pdf

## Class XfaForm.Xml2SomDatasets

- java.lang.Object
- - com.lowagie.text.pdf.XfaForm.Xml2Som
  - - com.lowagie.text.pdf.XfaForm.Xml2SomDatasets

Enclosing class:
  XfaForm

    public static class XfaForm.Xml2SomDatasets
    extends XfaForm.Xml2Som

Processes the datasets section in the XFA form.

### Field Summary

### Fields inherited from class com.lowagie.text.pdf.XfaForm.Xml2Som

`anform, inverseSearch, name2Node, order, stack`

### Constructor Summary

Constructors
Constructor and Description
`XfaForm.Xml2SomDatasets(org.w3c.dom.Node n)` Creates a new instance from the datasets node.

### Method Summary

Methods
`private static boolean` `hasChildren(org.w3c.dom.Node n)`
`org.w3c.dom.Node` `insertNode(org.w3c.dom.Node n, java.lang.String shortName)` Inserts a new `Node` that will match the short name.
`private void` `processDatasetsInternal(org.w3c.dom.Node n)`

### Methods inherited from class com.lowagie.text.pdf.XfaForm.Xml2Som

`escapeSom, getInverseSearch, getName2Node, getOrder, getShortName, inverseSearchAdd, inverseSearchAdd, inverseSearchGlobal, printStack, setInverseSearch, setName2Node, setOrder, splitParts, unescapeSom`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XfaForm.Xml2SomDatasets

    public XfaForm.Xml2SomDatasets(org.w3c.dom.Node n)

Creates a new instance from the datasets node. This expects not the datasets but the data node that comes below.

Parameters:
  `n` - the datasets node

### Method Detail

#### insertNode

    public org.w3c.dom.Node insertNode(org.w3c.dom.Node n,
                              java.lang.String shortName)

Inserts a new `Node` that will match the short name.

Parameters:
  `n` - the datasets top `Node`
  `shortName` - the short name
Returns:
  the new `Node` of the inserted name

#### hasChildren

    private static boolean hasChildren(org.w3c.dom.Node n)

#### processDatasetsInternal

    private void processDatasetsInternal(org.w3c.dom.Node n)